//https://colorpalettes.net
export default {
  color: {
    blue: "#1f77b4",
    red: "#d62728",
    orange: "#fe7f0e",
    green: "#2ca02c",
    purple: "#9c27b0",
    black: "#000000",
    cyan: "#00BCD4",
    teal: "#009688",
    primary: "#00205B", //APP Canucks dark blue
    secondary: "#00843D", //APP canucks green
    accent: "#db7022", //APP lighter orangey red, more friendly looking though not as much clarity it seems
    soft_sand: "#f1d3a1",
    soft_sand_taupe: "#e3dbd9",
    soft_pale_blue: "#e6eff6",
    soft_deep_blue: "#89b4c4",
    soft_green: "#ccdb86",
    soft_brown: "#c8bcb1",
    soft_brown_darker: "#8d7053",
    soft_gray: "#d2d7db"
  },
  getBoldPaletteArray(size) {
    const palette = [
      this.color.blue,
      this.color.red,
      this.color.green,
      this.color.orange,
      this.color.purple,
      this.color.cyan,
      this.color.teal,
      this.color.black
    ];
    const paletteLength = palette.length;
    const ret = [];
    for (let i = 0; i < size; i++) {
      ret.push(palette[i % paletteLength]);
    }
    return ret;
  },
  getSoftPaletteArray(size) {
    const palette = [
      this.color.soft_sand,
      this.color.soft_pale_blue,
      this.color.soft_gray,
      this.color.soft_green,
      this.color.soft_brown,
      this.color.soft_deep_blue,
      this.color.soft_sand_taupe,
      this.color.soft_brown_darker
    ];
    const paletteLength = palette.length;
    const ret = [];
    for (let i = 0; i < size; i++) {
      ret.push(palette[i % paletteLength]);
    }
    return ret;
  }
};
